Artist Metadata

Artist metadata and Chartmetric stats by Chartmetric ID. cm_statistics carries a rich per-platform counter + rank map (Spotify, Apple Music, Deezer, Amazon, YouTube, TikTok, Twitter, Instagram, Pandora, Twitch, Line, Boomplay, Shazam, Genius). Cached daily. Pass header x-accept-partial-data: true to unblock responses while the artist's ES cache is being rebuilt.

Path Parameters
  • id
    Type: integer
    min:  
    2
    max:  
    2147483647
    required

    Integer numbers.

    • enum
      const:  
      1
      values
      • 1
Responses
  • application/json
Request Example for get/api/artist/{id}
curl https://api.chartmetric.com/api/artist/2 \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "obj": {
    "id": 2000,
    "name": "Nina Sky",
    "created_at": "2025-10-30T15:45:02Z",
    "code2": "US",
    "band": true,
    "pronoun_title": "they/them",
    "gender_title": null,
    "gender": null,
    "isni": "0000000109438445",
    "cm_artist_rank": 4505,
    "cm_artist_score": 86.15,
    "cover_url": "https://is1-ssl.mzstatic.com/image/thumb/Music211/v4/37/a9/c6/37a9c658-8dbc-1d35-881c-afe798f96943/413b2199-8d1b-433e-9224-b2e175a8ea37.png/160x160bb.jpg",
    "image_url": "https://i.scdn.co/image/ab6761610000e5eb99130a511f82caacd3fecc03",
    "hometown_city": "Queens",
    "current_city": null,
    "current_city_id": null,
    "band_members": null,
    "booking_agent": null,
    "record_label": "Glossy Vinyl",
    "press_contact": null,
    "general_manager": null,
    "topSongwriterCollaborators": [
      "Lionel Bermingham"
    ],
    "description": "Born and raised in New York City, twin sisters Nicole and Natalie Albino...",
    "genres": {
      "primary": {
        "id": 501120,
        "name": "pop",
        "type": "genre_v2",
        "source": "cm"
      },
      "secondary": [
        {
          "id": 501125,
          "name": "r&b/soul",
          "type": "genre_v2",
          "source": "cm"
        },
        {
          "id": 501146,
          "name": "dance",
          "type": "genre_v2",
          "source": "cm"
        }
      ],
      "sub": [
        {
          "id": 9122,
          "name": "hip pop",
          "type": "genre",
          "source": "spotify"
        }
      ]
    },
    "genre_smart_ordered": [
      {
        "1": 501120
      },
      {
        "2": 501125
      }
    ],
    "moods": [
      {
        "id": 504927,
        "name": "celebratory"
      },
      {
        "id": 504954,
        "name": "energetic"
      }
    ],
    "activities": [
      {
        "id": 504872,
        "name": "dancy"
      },
      {
        "id": 504876,
        "name": "partying"
      }
    ],
    "career_status": {
      "stage": "mainstream",
      "stage_score": 42,
      "trend": "decline",
      "trend_score": 96
    },
    "cm_statistics": {
      "countryRank": {
        "code2": "US",
        "country": "United States",
        "rank": 1,
        "percentile": 1
      },
      "sp_followers": 147460505,
      "sp_followers_rank": 2,
      "sp_popularity": 100,
      "sp_popularity_rank": 1,
      "sp_monthly_listeners": 106103812,
      "sp_monthly_listeners_rank": 5,
      "sp_where_people_listen": [
        {
          "code2": "id",
          "listeners": 2465588,
          "name": "Jakarta"
        },
        {
          "code2": "gb",
          "listeners": 2152620,
          "name": "London"
        }
      ],
      "cm_artist_rank": 1,
      "fan_base_rank": 1,
      "engagement_rank": 1,
      "shazam_count": 244928447,
      "genius_pageviews": 198089148
    },
    "genreRank": {
      "name": "pop",
      "rank": 1
    },
    "subGenreRank1": {
      "name": "r&b/soul",
      "rank": 1
    },
    "subGenreRank2": {
      "name": "dance",
      "rank": 1
    }
  }
}